import { EventArgs, Base, Type, Point, IList$1, IEnumerable, IEnumerator$1, IEnumerator, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { DataTemplate } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { Style } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { Series } from "./Series";
import { List$1 } from "igniteui-react-core";
import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeries } from "./CategorySeries";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { NumericAxisBase } from "./NumericAxisBase";
import { ISupportsMarkers } from "./ISupportsMarkers";
import { CategoryFrame } from "./CategoryFrame";
import { IDetectsCollisions } from "./IDetectsCollisions";
import { Rect } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { SeriesViewer } from "./SeriesViewer";
import { PointCollection } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { IChartLegend } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { RenderSurface } from "./RenderSurface";
import { Path } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { DependencyObject } from "igniteui-react-core";
import { NumericYAxis } from "./NumericYAxis";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { IScaler } from "./IScaler";
import { IIsCategoryBased } from "./IIsCategoryBased";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { AnchoredCategoryBucketCalculator } from "./AnchoredCategoryBucketCalculator";
import { SplineSeriesBase } from "./SplineSeriesBase";
import { CollisionAvoider } from "./CollisionAvoider";
import { ICategoryScaler } from "./ICategoryScaler";
import { IBucketizer } from "./IBucketizer";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { IBarSeries } from "./IBarSeries";
import { Color } from "igniteui-react-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { DomRenderer } from "igniteui-react-core";
import { PropertyUpdatedEventArgs } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { IProvidesViewport } from "./IProvidesViewport";
import { ISupportsErrorBars } from "./ISupportsErrorBars";
import { ValuesHolder } from "./ValuesHolder";
import { PreparationParams } from "./PreparationParams";
import { RenderingContext } from "igniteui-react-core";
import { SplineSeriesBaseView } from "./SplineSeriesBaseView";
import { Canvas } from "igniteui-react-core";
import { Panel } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class StackedSeriesCreatedEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: StackedFragmentSeries);
    c: StackedFragmentSeries;
    brush: Brush;
    legendItemTemplate: DataTemplate;
    legendItemBadgeTemplate: DataTemplate;
    legendItemVisibility: Visibility;
    outline: Brush;
    dashArray: DoubleCollection;
    dashCap: PenLineCap;
    readonly index: number;
    thickness: number;
    title: any;
    markerBrush: Brush;
    markerOutline: Brush;
    markerStyle: Style;
    markerTemplate: DataTemplate;
    markerType: MarkerType;
    markerThickness: number;
    startCap: PenLineCap;
    endCap: PenLineCap;
}
/**
 * @hidden
 */
export declare abstract class FragmentBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    constructor();
    s7: CategoryLineRasterizer;
    private _logicalSeriesLink;
    logicalSeriesLink: StackedFragmentSeries;
    private s9;
    parentSeries: StackedSeriesBase;
    protected get_c5(): boolean;
    protected get_c7(): boolean;
    ib(): string;
    f8(): number;
    gc(): number;
    resolveLegendIndex(): number;
    a9(): Series;
    pu(): CategoryAxisBase;
    s6(): CategoryFramePreparer;
    qe(): NumericAxisBase;
    tb(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    q9(a: CategoryFrame, b: CategorySeriesView): void;
    nt(a: Point, b: boolean, c: boolean): Point;
    ag(): Axis[];
    private tc;
    te(a: PointCollection, b: List$1<number[]>, c: CategorySeriesView): void;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    rv(a: CategorySeriesView): number;
    ao(a: Axis): AxisRange;
    td(): number;
    tf(a: IChartLegend): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    k5(a: Rect, b: RenderSurface): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class AreaFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    tg: AreaFragmentView;
    kk(a: SeriesView): void;
    protected get_cy(): boolean;
    protected ti(a: Point, b: boolean): boolean;
    dy(a: Point, b: boolean): boolean;
    private th;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    ld(): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class ColumnFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    th: ColumnFragmentView;
    kk(a: SeriesView): void;
    tk: number;
    tl: number;
    readonly fragmentXAxis: CategoryAxisBase;
    readonly fragmentYAxis: NumericAxisBase;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    pu(): CategoryAxisBase;
    qe(): NumericAxisBase;
    protected get_cu(): boolean;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    jl(a: boolean, b: SeriesView): void;
    ao(a: Axis): AxisRange;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    d9(): boolean;
    qu(a: SeriesView): number;
    qv(a: SeriesView): number;
    qw(a: SeriesView): number;
    n2(a: Point): Rect;
    dy(a: Point, b: boolean): boolean;
    protected d1(a: Point, b: boolean): boolean;
    protected tq(a: Rect, b: number): Rect;
    gw(a: any, b: Point): any;
    gq(a: Point): any;
    gb(a: Point): number;
    f9(a: Point): number;
    tb(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    private tj;
    k2(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    q9(a: CategoryFrame, b: CategorySeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarFragment extends ColumnFragment {
    static $t: Type;
    constructor();
    readonly barFragmentXAxis: NumericXAxis;
    readonly barFragmentYAxis: CategoryYAxis;
    pu(): CategoryAxisBase;
    protected get_isVertical(): boolean;
    e4(a: Point): number;
    qe(): NumericAxisBase;
    protected tq(a: Rect, b: number): Rect;
    n2(a: Point): Rect;
    dy(a: Point, b: boolean): boolean;
    tb(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    gq(a: Point): any;
    gb(a: Point): number;
    rv(a: CategorySeriesView): number;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class AreaFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class LineFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class SplineFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class StackedBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class StackedBarBucketCalculator extends StackedBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    g(a: number): void;
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class StackedColumnBucketCalculator extends StackedBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class FragmentBaseValueList extends Base implements IList$1<number> {
    static $t: Type;
    private a;
    constructor(a: FragmentBase);
    indexOf(a: number): number;
    insert(a: number, b: number): void;
    removeAt(a: number): void;
    item(a: number, b?: number): number;
    add(a: number): void;
    clear(): void;
    contains(a: number): boolean;
    copyTo(a: number[], b: number): void;
    readonly count: number;
    readonly isReadOnly: boolean;
    remove(a: number): boolean;
    getEnumerator(): IEnumerator$1<number>;
    getEnumeratorObject(): IEnumerator;
}
/**
 * @hidden
 */
export declare class LineFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    tg: LineFragmentView;
    kk(a: SeriesView): void;
    protected ti(a: Point, b: boolean): boolean;
    protected get_cy(): boolean;
    dy(a: Point, b: boolean): boolean;
    private th;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare abstract class SplineFragmentBase extends SplineSeriesBase {
    static $t: Type;
    private _logicalSeriesLink;
    logicalSeriesLink: StackedFragmentSeries;
    tg: CategoryLineRasterizer;
    constructor();
    private ti;
    parentSeries: StackedSeriesBase;
    protected get_c5(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_c7(): boolean;
    ib(): string;
    nt(a: Point, b: boolean, c: boolean): Point;
    ag(): Axis[];
    private tk;
    f8(): number;
    resolveLegendIndex(): number;
    gc(): number;
    a9(): Series;
    s9(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    ao(a: Axis): AxisRange;
    tl(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericYAxis, f: CategorySeriesView): void;
    q9(a: CategoryFrame, b: CategorySeriesView): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class SplineAreaFragment extends SplineFragmentBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    private tm;
    ac(): void;
    protected get_cy(): boolean;
    protected to(a: Point, b: boolean): boolean;
    dy(a: Point, b: boolean): boolean;
    private tn;
    tq: PointCollection;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    k5(a: Rect, b: RenderSurface): void;
    tp(a: PointCollection, b: List$1<number[]>, c: CategorySeriesView): void;
    rv(a: CategorySeriesView): number;
    ld(): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class SplineFragment extends SplineFragmentBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    tm: SplineFragmentView;
    kk(a: SeriesView): void;
    protected to(a: Point, b: boolean): boolean;
    protected get_cy(): boolean;
    dy(a: Point, b: boolean): boolean;
    private tn;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class SplineFragmentBaseValueList extends Base implements IList$1<number> {
    static $t: Type;
    private a;
    constructor(a: SplineFragmentBase);
    indexOf(a: number): number;
    insert(a: number, b: number): void;
    removeAt(a: number): void;
    item(a: number, b?: number): number;
    add(a: number): void;
    clear(): void;
    contains(a: number): boolean;
    copyTo(a: number[], b: number): void;
    readonly count: number;
    readonly isReadOnly: boolean;
    remove(a: number): boolean;
    getEnumerator(): IEnumerator$1<number>;
    getEnumeratorObject(): IEnumerator;
}
/**
 * @hidden
 */
export declare abstract class StackedSeriesBase extends CategorySeries implements IIsCategoryBased {
    static $t: Type;
    constructor();
    protected get_da(): boolean;
    getHostReferenceValue(): number;
    protected bp(): SeriesView;
    rs: StackedSeriesView;
    kk(a: SeriesView): void;
    kl(a: Rect, b: Rect): void;
    private _series;
    series: StackedSeriesCollection;
    gh(): number;
    jy(a: (arg1: Series) => boolean): void;
    rt: boolean;
    rv: boolean;
    protected get_isStacked(): boolean;
    seriesCreated: (sender: any, e: StackedSeriesCreatedEventArgs) => void;
    si: Visibility;
    r1: number;
    r0: number;
    rj: number[];
    rk: number[];
    rr: StackedSeriesManager;
    ro: StackedSeriesCollection;
    readonly rn: StackedSeriesCollection;
    private r7;
    private sd;
    private sc;
    la(a: Point): void;
    p0(a: CategorySeriesView): CategoryFramePreparer;
    q9(a: CategoryFrame, b: CategorySeriesView): void;
    jl(a: boolean, b: SeriesView): void;
    r8(): void;
    se(): void;
    protected get_ru(): boolean;
    readonly ru: boolean;
    dq(a: any): boolean;
    ao(a: Axis): AxisRange;
    ok(): boolean;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    rm(): CategorySeriesView;
    ry(): number;
    rz(): number;
    r3(a: StackedFragmentSeries): number;
    r2(a: Point): number;
    rw(a: AnchoredCategorySeries, b: Rect, c: Rect, d: SeriesView): boolean;
    private rx;
    r9(): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    sb(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView): void;
    protected sa(): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly currentCategoryMode: CategoryMode;
    readonly scaler: ICategoryScaler;
    readonly yScaler: IScaler;
    readonly bucketizer: IBucketizer;
    readonly currentMode2Index: number;
    provideCollisionDetector(): IDetectsCollisions;
    protected dt(): boolean;
    protected get_c5(): boolean;
    k5(a: Rect, b: RenderSurface): void;
    rl: CategoryFrame;
    k2(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    gp(): any;
    readonly mayContainUnknowns: boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class HorizontalStackedSeriesBase extends StackedSeriesBase {
    static $t: Type;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    ag(): Axis[];
    qo(): boolean;
    ld(): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    sm(a: any): boolean;
    sl(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedAreaSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    ao(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare abstract class VerticalStackedSeriesBase extends StackedSeriesBase {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    pu(): CategoryAxisBase;
    qe(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_isVertical(): boolean;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    qo(): boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    sm(a: any): boolean;
    sl(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedBarSeries extends VerticalStackedSeriesBase implements IBarSeries {
    static $t: Type;
    constructor();
    ac(): void;
    protected bp(): SeriesView;
    sr: StackedBarSeriesView;
    kk(a: SeriesView): void;
    ss: number;
    st: number;
    rm(): CategorySeriesView;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    qx(): number;
    ry(): number;
    rz(): number;
    ao(a: Axis): AxisRange;
    dq(a: any): boolean;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    f9(a: Point): number;
    gq(a: Point): any;
    se(): void;
    r2(a: Point): number;
    rw(a: AnchoredCategorySeries, b: Rect, c: Rect, d: SeriesView): boolean;
    e9(): number;
    sb(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedColumnSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    sr: StackedColumnSeriesView;
    kk(a: SeriesView): void;
    ss: number;
    st: number;
    rm(): CategorySeriesView;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    ao(a: Axis): AxisRange;
    e9(): number;
    sb(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedLineSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    ao(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StackedSplineAreaSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    ao(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StackedSplineSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    ao(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StackedFragmentSeries extends DependencyObject implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    itemsSource: IEnumerable;
    hc: Brush;
    g7: Brush;
    hl: DoubleCollection;
    hk: DoubleCollection;
    hp: PenLineCap;
    hm: PenLineCap;
    ab: boolean;
    private u;
    w: boolean;
    bc: number;
    at: number;
    hj: Color;
    hi: Color;
    ah: boolean;
    private v;
    z: boolean;
    bd: number;
    au: number;
    be: number;
    av: number;
    hq: PenLineCap;
    hn: PenLineCap;
    ac: boolean;
    x: boolean;
    e3: DataTemplate;
    e0: DataTemplate;
    e4: DataTemplate;
    e1: DataTemplate;
    h9: Visibility;
    h7: Visibility;
    hd: Brush;
    g8: Brush;
    he: Brush;
    g9: Brush;
    h6: Style;
    h5: Style;
    e5: DataTemplate;
    e2: DataTemplate;
    n: MarkerType;
    m: MarkerType;
    c8: string;
    a9: number;
    aq: number;
    hf: Brush;
    ha: Brush;
    hg: Brush;
    hb: Brush;
    ax: number;
    am: number;
    a7: number;
    ao: number;
    q: SeriesOutlineMode;
    p: SeriesOutlineMode;
    a6: number;
    an: number;
    ba: number;
    ar: number;
    bb: number;
    as: number;
    hr: PenLineCap;
    ho: PenLineCap;
    bf: number;
    aw: number;
    a8: number;
    ap: number;
    bp: any;
    bq: any;
    bm: any;
    ag: boolean;
    y: boolean;
    ds: string;
    ia: Visibility;
    h8: Visibility;
    private _parentSeries;
    parentSeries: StackedSeriesBase;
    bl: number;
    s: SeriesViewer;
    t: IFastItemColumn$1<number>;
    private _visualSeriesLink;
    visualSeriesLink: AnchoredCategorySeries;
    aj: List$1<number>;
    ak: List$1<number>;
    ai: List$1<number[]>;
    ad: boolean;
    bh(a: Point): number;
    bn(a: Point): any;
    bk(a: Point, b: boolean): number;
    bj(a: Point, b: boolean): number;
    a4(a: Point, b: boolean, c: boolean): number;
    hx(a: Point, b: boolean, c: boolean): Point;
    h1(a: Point): Rect;
    j(a: Point): Rect[];
    h2(a: Point): Rect;
    k(a: Point): Rect[];
    h3(a: Point): Rect;
    h4(a: Point): Rect;
    a0(a: Point, b: boolean, c: boolean): number;
    ht(a: Point, b: boolean, c: boolean): Point;
    a2(a: Point, b: boolean, c: boolean): number;
    hv(a: Point, b: boolean, c: boolean): Point;
    hy(a: Point, b: boolean, c: boolean): Point;
    a5(a: Point, b: boolean, c: boolean): number;
    hu(a: Point, b: boolean, c: boolean): Point;
    a1(a: Point, b: boolean, c: boolean): number;
    hw(a: Point, b: boolean, c: boolean): Point;
    a3(a: Point, b: boolean, c: boolean): number;
    bi(a: Point): number;
    az(): number;
    ay(a: Point): number;
    bo(a: Point): any;
    aa(a: List$1<SeriesPointOfInterest>, b: boolean, c: number): boolean;
    hz(a: Point): Point;
    hs(a: Point): Point;
    ae(a: any): boolean;
    h0(): Rect;
    dw(): void;
    d0(a: Point): void;
    af(a: Point, b: boolean): boolean;
    dv(a: Point): void;
    bg: DomRenderer;
    provideRenderer(a: DomRenderer): void;
    hh: Brush;
    ez(): void;
    eh(): void;
    ej(): void;
    d2(): void;
    d3(): void;
    d6(): void;
    en(): void;
    ee(): void;
    d4(): void;
    d7(): void;
    eq(): void;
    er(): void;
    ey(): void;
    es(): void;
    et(): void;
    d5(): void;
    d8(): void;
    ea(): void;
    eb(): void;
    ec(): void;
    ed(): void;
    ef(): void;
    eg(): void;
    ek(): void;
    el(): void;
    em(): void;
    d9(): void;
    d1(): void;
    eo(): void;
    ep(): void;
    eu(): void;
    ev(): void;
    ei(): void;
    ew(): void;
    ex(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected dz(a: string, b: any, c: any): void;
    protected dx(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedSeriesCollection extends ObservableCollection$1<StackedFragmentSeries> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesFramePreparer extends CategoryFramePreparer {
    static $t: Type;
    constructor(a: number, b: IIsCategoryBased);
    constructor(a: number, b: IIsCategoryBased, c: ISupportsMarkers, d: IProvidesViewport, e: ISupportsErrorBars, f: IBucketizer);
    constructor(a: number, ..._rest: any[]);
    protected j(a: PreparationParams): ValuesHolder;
    protected t(a: PreparationParams, b: ValuesHolder, c: number, d: boolean, e: boolean): number;
    protected l(a: CategoryFrame, b: number[], c: IDetectsCollisions, d: number, e: number, f: number): boolean;
}
/**
 * @hidden
 */
export declare class AreaFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    da: AreaFragment;
    as(): void;
    constructor(a: AreaFragment);
    dg: Path;
    di: Path;
    dh: Path;
    dj: Path;
    dc: Path;
    de: Path;
    dd: Path;
    df: Path;
    db(): void;
    cs(): CategoryBucketCalculator;
    protected bb(): void;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    al(a: any): void;
}
/**
 * @hidden
 */
export declare class ColumnFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    da: ColumnFragment;
    as(): void;
    constructor(a: ColumnFragment);
    protected de: List$1<Rectangle>;
    db: Pool$1<Rectangle>;
    dc: List$1<number>;
    dd: List$1<number>;
    private dk;
    private df;
    private dh;
    private dg;
    protected be(a: any, b: number): void;
    di(a: Rectangle, b: number, c: number): void;
    protected bf(a: any, b: number): void;
    protected ac(a: number): any;
    private dj;
    protected ab(a: number): any;
    protected a6(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    al(a: any): void;
    getDefaultTooltipTemplate(): string;
}
/**
 * @hidden
 */
export declare class LineFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    da: LineFragment;
    constructor(a: LineFragment);
    dg: Path;
    df: Path;
    dh: Path;
    dd: Path;
    dc: Path;
    de: Path;
    db(): void;
    cs(): CategoryBucketCalculator;
    protected bb(): void;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    al(a: any): void;
}
/**
 * @hidden
 */
export declare class SplineAreaFragmentView extends SplineSeriesBaseView {
    static $t: Type;
    private db;
    as(): void;
    constructor(a: SplineAreaFragment);
    dh: Path;
    dj: Path;
    di: Path;
    dk: Path;
    dd: Path;
    df: Path;
    de: Path;
    dg: Path;
    dc(): void;
    protected bb(): void;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    al(a: any): void;
}
/**
 * @hidden
 */
export declare class SplineFragmentView extends SplineSeriesBaseView {
    static $t: Type;
    db: SplineFragment;
    constructor(a: SplineFragment);
    cs(): CategoryBucketCalculator;
    dh: Path;
    dg: Path;
    di: Path;
    de: Path;
    dd: Path;
    df: Path;
    dc(): void;
    protected bb(): void;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    al(a: any): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesView extends CategorySeriesView {
    static $t: Type;
    c0: StackedSeriesBase;
    private readonly c1;
    readonly c2: Canvas;
    private readonly c3;
    readonly c4: Panel;
    constructor(a: StackedSeriesBase);
    cs(): CategoryBucketCalculator;
    ap(): void;
    ar(a: RenderingContext, b: RenderingContext): void;
    protected af(): void;
}
/**
 * @hidden
 */
export declare class StackedBarSeriesView extends StackedSeriesView {
    static $t: Type;
    c5: StackedBarSeries;
    constructor(a: StackedBarSeries);
    cs(): CategoryBucketCalculator;
    as(): void;
}
/**
 * @hidden
 */
export declare class StackedColumnSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedColumnSeries);
    cs(): CategoryBucketCalculator;
    as(): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesManager extends Base {
    static $t: Type;
    constructor(a: StackedSeriesBase);
    b: StackedSeriesBase;
    f: ObservableCollection$1<AnchoredCategorySeries>;
    c: StackedSeriesCollection;
    e: ObservableCollection$1<AnchoredCategorySeries>;
    d: ObservableCollection$1<AnchoredCategorySeries>;
    j: Canvas;
    k: Panel;
    a(a: StackedFragmentSeries): AnchoredCategorySeries;
    private i;
    h(): void;
    private g;
}
